﻿using System;
using System.Collections.Generic;
using System.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace SilverlightApplication2
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			// Required to initialize variables
			InitializeComponent();

			List<IAppointment> apps = new List<IAppointment>();

			Appointment app1 = new Appointment();
			app1.Subject = "Appointment 1";
			app1.Start = DateTime.Today.AddHours(10);
			app1.End = DateTime.Today.AddHours(12);

			Appointment app2 = new Appointment();
			app2.Subject = "Appointment 2";
			app2.Start = DateTime.Today.AddHours(12);
			app2.End = DateTime.Today.AddHours(14);

			Appointment app3 = new Appointment();
			app3.Subject = "Appointment 3";
			app3.Start = DateTime.Today.AddHours(14);
			app3.End = DateTime.Today.AddHours(16);

			Appointment app4 = new Appointment();
			app4.Subject = "Appointment 4";
			app4.Start = DateTime.Today.AddHours(16);
			app4.End = DateTime.Today.AddHours(18);

			Appointment app5 = new Appointment();
			app5.Subject = "Appointment 5";
			app5.Start = DateTime.Today.AddHours(18);
			app5.End = DateTime.Today.AddHours(20);

			apps.Add(app1);
			apps.Add(app2);
			apps.Add(app3);
			apps.Add(app4);
			apps.Add(app5);

			this.sv.AppointmentsSource = apps;
		}
	}
}